### Method

# AppStream Component add_language

since: 0.7.0

#### Declaration [src]

    void
    as_component_add_language (
      AsComponent* cpt,
      const gchar* locale,
      gint percentage
    )

#### Description [src]

Adds a language to the component.

Available since: 0.7.0

#### Parameters

`locale`

  Type: `const gchar*`

  The BCP47 locale, or `NULL`. e.g. “en-GB”.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`percentage`

  Type: `gint`

  The percentage completion of the translation, 0 for locales with unknown amount of translation.